// creator  : weidu.exe (version 23100)
// argument : SAMIA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SAMIA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #40845 /* ~Hold! I warn you, I have killed many of your brethren to get this... oh, forgive my manner. I feared you were another grouping of orcs come to harass me.~ */
  IF ~~ THEN REPLY #40846 /* ~Perhaps you should fear me more than any orc. You do not know me.~ */ GOTO 1
  IF ~~ THEN REPLY #40847 /* ~I have been called many things, but never "orc." Who are you?~ */ GOTO 2
  IF ~~ THEN REPLY #40848 /* ~I have been beset by those foul creatures as well. We are in the same situation.~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #40852 /* ~And neither do you know me. I would suggest that it is not profitable for us to be suspicious of each other though, as we are in the same predicament.~ */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #40854 /* ~My apologies. I am Samia, and it would seem we are in the same situation. Have you come searching for the tomb as well? I was not aware of another expedition.~ */
  IF ~~ THEN REPLY #40857 /* ~Expedition? No, I know nothing of this. I am here seeking a villain named Firkraag.~ */ GOTO 5
  IF ~~ THEN REPLY #40858 /* ~What could you be seeking in such a place as this? It must be valuable.~ */ GOTO 7
  IF ~~ THEN REPLY #40859 /* ~Uh, yeah, that's why I'm here. Yeah. The Tomb.~ */ GOTO 8
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #40855 /* ~It would seem so. I am Samia. Are you here searching for the tomb as well? I was not aware of another expedition.~ */
  IF ~~ THEN REPLY #40860 /* ~Expedition? No, I know nothing of this. I am here seeking a villain named Firkraag.~ */ GOTO 5
  IF ~~ THEN REPLY #40861 /* ~What could you be seeking in such a place as this? It must be valuable.~ */ GOTO 7
  IF ~~ THEN REPLY #40862 /* ~Uh, yeah, that's why I'm here. Yeah. The Tomb.~ */ GOTO 8
END

IF ~~ THEN BEGIN 4 // from: 1.0
  SAY #40856 /* ~Are you here seeking the tomb as well? I was not aware of another expedition.~ */
  IF ~~ THEN REPLY #40863 /* ~Expedition? No, I know nothing of this. I am here seeking a villain named Firkraag.~ */ GOTO 5
  IF ~~ THEN REPLY #40864 /* ~What could you be seeking in such a place as this? It must be valuable.~ */ GOTO 7
  IF ~~ THEN REPLY #40865 /* ~Uh, yeah, that's why I'm here. Yeah. The Tomb.~ */ GOTO 8
END

IF ~~ THEN BEGIN 5 // from: 4.0 3.0 2.0
  SAY #40895 /* ~Hmm... I was approached by a Lord Jierdan Firkraag.  He seemed to suggest that I would need his approval if I was to make it through here.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #40896 /* ~I haven't had much trouble though. There were a few orcs, but they seemed to be afraid of this area.~ */
  IF ~Global("Kidnap","GLOBAL",3)
OR(2)
!Dead("Garkid01")
!Dead("Garkid02")
~ THEN REPLY #40900 /* ~They may be in league with Firkraag. He is here somewhere with a kidnap victim.~ */ GOTO 9
  IF ~~ THEN REPLY #40901 /* ~All the better for us then. What are you looking for?~ */ GOTO 10
  IF ~~ THEN REPLY #40908 /* ~Is what you are seeking... valuable?~ */ GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.2 4.1 3.1 2.1
  SAY #40906 /* ~Historically speaking, yes. I am an academic, not some cutesy well-bosomed relic hunter. You may be able to help me. Care to talk about a partnership of sorts?~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 8 // from: 4.2 3.2 2.2
  SAY #40910 /* ~I see. Well, I am glad to have the company of a fellow academic. Perhaps we should team up for a time, maybe form a temporary partnership.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 9 // from: 6.0
  SAY #40915 /* ~Then it is good I refused his sponsorship. It has, however, left me lacking support. Perhaps a temporary partnership? We could benefit each other quite nicely.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0 8.0 7.0 6.1
  SAY #40917 /* ~I seek the tomb of King Strohm III of Tethyr. He lost his life to treachery, a sad end for a noble man. I hope to find texts in his tomb that will detail his life.~ */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #40927 /* ~But I cannot pass beyond this area. I have the key, but something prevents my entry. Perhaps the magic was attuned to stop those of a certain heritage.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #40929 /* ~Probably a hold-over from at time of war,  They did not want enemies defiling the tomb. You can guess what I am going to ask, can't you?~ */
  IF ~~ THEN REPLY #40932 /* ~You wish me to enter and retrieve what I can? I will be glad to help.~ */ GOTO 13
  IF ~~ THEN REPLY #40933 /* ~You wish me to risk my neck while you wait back here. Is that the idea?~ */ GOTO 15
  IF ~~ THEN REPLY #40934 /* ~I'm afraid I cannot help you. I have other things to do.~ */ GOTO 16
END

IF ~~ THEN BEGIN 13 // from: 16.1 15.0 12.0
  SAY #40936 /* ~I thank you. Here is a key which opens the first door. Inside you should find the tomb, though I doubt it will be unguarded.~ */
  IF ~~ THEN DO ~GiveItem("key21",LastTalkedToBy())~ GOTO 26
END

IF ~~ THEN BEGIN 14 // from: 27.0
  SAY #40937 /* ~The texts I seek should be in his burial chamber.  Once you get them, return to me and I shall compensate you.  Good luck... you'll likely need it.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #7167 /* ~Rescue Garren's child from Firkraag.

Inside Firkraag's dungeon I have encountered a woman by the name of Samia... a relic hunter, of sorts, who is searching for texts relating to a dead Tethyrian king.  I have agreed to take her key and find the texts she needs from the king's burial chamber... which is supposedly protected by a mysterious, invisible creature, the last of seven guardians, according to the legends.  Once I have the texts I am to return to Samia.~ */ EXIT
END

IF ~~ THEN BEGIN 15 // from: 12.1
  SAY #40939 /* ~That is my suggestion. I shall compensate you, of course. I have come so far, and I should hate to leave empty-handed.~ */
  IF ~~ THEN REPLY #40940 /* ~Oh all right, I'll help.~ */ GOTO 13
  IF ~~ THEN REPLY #40941 /* ~I am sorry, but I cannot help.~ */ GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.1 12.2
  SAY #40943 /* ~Why can't you help? I should think an adventuring sort like you would jump at the chance to help someone in need. Are you sure you will not change your mind?~ */
  IF ~~ THEN REPLY #40945 /* ~I apologize, but I cannot spare the time right now.~ */ GOTO 17
  IF ~~ THEN REPLY #40946 /* ~Very well. I will see what I can do.~ */ GOTO 13
  IF ~~ THEN REPLY #40947 /* ~This treasure must be valuable. Perhaps I should take it for myself.~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY #40951 /* ~Blast. I hoped to get you to do the grunt-work. I'll do it, but not with you at my back. You'd leave me dead and take whatever I found...  that's what I was planning.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 19.0 17.0
  SAY #40953 /* ~Akae! The plan did not work! Strike now!~ */
  IF ~~ THEN DO ~SetGlobal("SamiaPreempted","GLOBAL",1)
EraseJournalEntry(7167)
CreateCreatureObject("Akae",Myself,0,0,0)
CreateCreatureObject("Kaol",Myself,0,0,0)
CreateCreatureObject("Chak",Myself,0,0,0)
CreateCreatureObject("Legdor",Myself,0,0,0)
CreateCreatureObject("Deshar",Myself,0,0,0)
ActionOverride("Akae",Enemy())
ActionOverride("Kaol",Enemy())
ActionOverride("Chak",Enemy())
ActionOverride("Legdor",Enemy())
ActionOverride("Deshar",Enemy())
Enemy()~ SOLVED_JOURNAL #5812 /* ~Samia's plan foiled.

Samia, the relic hunter in Firkraag's dungeon, was not what she seemed.  Her plan was to get a dupe to get the treasure within the tomb for her... and then kill whomever retrieved it with the help of her companions.  Fortunately, she has paid for her arrogance.~ */ EXIT
END

IF ~~ THEN BEGIN 19 // from: 16.2
  SAY #40955 /* ~Oh no, you'll not threaten me. Think you'll get me to do the work and then take what I earn? No <SIRMAAM>. I won't fall for my own plan.~ */
  IF ~~ THEN GOTO 18
END

IF WEIGHT #2 /* Triggers after states #: 24 even though they appear after this state */
~True()~ THEN BEGIN 20 // from:
  SAY #40957 /* ~I thank you for your help. How have you been faring?~ */
  IF ~~ THEN REPLY #40958 /* ~All goes well. I am simply taking my time to lessen the risk overall.~ */ GOTO 21
  IF ~~ THEN REPLY #40959 /* ~I have changed my mind. This will take far too much of my time. Take your key back.~ */ GOTO 22
  IF ~PartyHasItem("BOOK98")~ THEN REPLY #59901 /* ~I found this old text inside... this wouldn't be the book you're looking for, would it?~ */ GOTO 28
  IF ~~ THEN REPLY #40960 /* ~I am thinking I will take everything for myself. It is pointless for you to wait here.~ */ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 20.0
  SAY #40961 /* ~Wise, very wise. I await your return eagerly.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 22 // from: 20.3 20.1
  SAY #40962 /* ~What? Blast, why did I waste my time of this idiotic plan. Did you hear that, Akae! Your stupid plan has failed! We'll be doing it ourselves, just as I thought!~ */
  IF ~~ THEN DO ~SetGlobal("SamiaPreempted","GLOBAL",1)~ GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #40963 /* ~Get out here, and help me finish this fool! I'll not have them wandering around while I risk my own neck!~ */
  IF ~~ THEN DO ~EraseJournalEntry(7167)
CreateCreatureObject("Akae",Myself,0,0,0)
CreateCreatureObject("Kaol",Myself,0,0,0)
CreateCreatureObject("Chak",Myself,0,0,0)
CreateCreatureObject("Legdor",Myself,0,0,0)
CreateCreatureObject("Deshar",Myself,0,0,0)
ActionOverride("Akae",Enemy())
ActionOverride("Kaol",Enemy())
ActionOverride("Chak",Enemy())
ActionOverride("Legdor",Enemy())
ActionOverride("Deshar",Enemy())
Enemy()~ SOLVED_JOURNAL #5812 /* ~Samia's plan foiled.

Samia, the relic hunter in Firkraag's dungeon, was not what she seemed.  Her plan was to get a dupe to get the treasure within the tomb for her... and then kill whomever retrieved it with the help of her companions.  Fortunately, she has paid for her arrogance.~ */ EXIT
END

IF WEIGHT #1 ~OR(2)
PartyHasItem("sw1h32")
PartyHasItem("shld21")~ THEN BEGIN 24 // from:
  SAY #40964 /* ~You have done well. I had my doubts about this plan, but it worked. Get some fool to take the risks and then we take the treasure and bury them in the tomb!~ */
  IF ~~ THEN DO ~SetGlobal("SamiaHostile","GLOBAL",1)~ GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #40965 /* ~Sorry to crush any illusions you had about this academic adventure, but I'm more concerned with how much I can sell these little trinkets for.~ */
  IF ~~ THEN DO ~EraseJournalEntry(7167)
ActionOverride("Akae",Enemy())
ActionOverride("Kaol",Enemy())
ActionOverride("Chak",Enemy())
ActionOverride("Legdor",Enemy())
ActionOverride("Deshar",Enemy())
Enemy()~ SOLVED_JOURNAL #7168 /* ~Samia's plan foiled.

Samia, the relic hunter in Firkraag's dungeon, was not what she seemed.  She had sent me in to get the texts only to take them for herself with the aid of her companions, and leave whoever aided her dead and buried.  Fortunately, she paid for her arrogance.~ */ EXIT
END

IF ~~ THEN BEGIN 26 // from: 13.0
  SAY #59898 /* ~According to legend the tomb contains seven guardians.  The last guards the burial chamber and is invisible even to the strongest magics.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #59899 /* ~If the legends are true, I'm not sure how you would get by such a creature. There may be clues beyond this door to guide you towards such an end.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 28 // from: 20.2
  SAY #59902 /* ~Er... no, no.  The ones I seek detail Strohm's life.  They'll be within his burial chamber and, I suspect, much better preserved than this text.~ */
  IF ~~ THEN EXIT
END
